Synthesize speech audio
curl --request POST \
--url https://app.myhero.so/tts/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"languageCode": "<string>"
}
'import requests
url = "https://app.myhero.so/tts/speech"
payload = {
"text": "<string>",
"languageCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', languageCode: '<string>'})
};
fetch('https://app.myhero.so/tts/speech', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Tts
Synthesize speech audio
Generates speech for one chunk of text (max 900 bytes, see getTtsVoices’ maxChunkBytes) and returns raw audio/mpeg bytes.
Long documents are read by splitting them into sentence-aligned chunks and requesting them in sequence.
Identical requests from the same user are served from a server-side cache. voice is one of the names returned by getTtsVoices, style one of its style keys (default natural).
POST
/
tts
/
speech
Synthesize speech audio
Authorizations
HERO personal access token
Body
application/json
Required string length:
1 - 900Available options:
Achernar, Aoede, Autonoe, Callirrhoe, Despina, Erinome, Gacrux, Kore, Laomedeia, Leda, Pulcherrima, Sulafat, Vindemiatrix, Zephyr, Achird, Algenib, Algieba, Alnilam, Charon, Enceladus, Fenrir, Iapetus, Orus, Puck, Rasalgethi, Sadachbia, Sadaltager, Schedar, Umbriel, Zubenelgenubi Available options:
natural, narration, formal, expressive Pattern:
^[a-zA-Z]{2,3}(-[a-zA-Z0-9]{2,8})*$Response
MP3 audio
The response is of type file.